GuideLab API

Get Clinic Invoice

Retrieve full invoice details including line items and payment history. Clinic-only. Only returns invoices belonging to the authenticated clinic.

GET
/clinic-finances/invoices/{id}

Retrieve full invoice details including line items and payment history. Clinic-only. Only returns invoices belonging to the authenticated clinic.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Invoice ID

Response Body

application/json

application/json

curl -X GET "https://example.com/clinic-finances/invoices/550e8400-e29b-41d4-a716-446655440000"
{  "id": "string",  "invoiceNumber": "string",  "status": "string",  "items": [    null  ],  "payments": [    null  ],  "property1": null,  "property2": null}
{  "error": "string"}